LMDE paketlarimizni 3 soniya ichida qanday o'rnatamiz

Dan foydalanib so'nggi maqola nima haqida yozdim mintbackup, Men sizga qayta o'rnatganimizda foydalanadigan paketlarni qayta tiklashning uchta oson usulini ko'rsatmoqchiman LMDE.

Aslida, birinchi shakldan tashqari, boshqalar ikkalasida ham ishlatilishi mumkin Debiankabi Ubuntu.

O'rnatish 3 soniyada

Grafik jihatdan.

Bu xuddi grafik usulda va terminalga tegmasdan eng o'xshash usul. In LMDE y linuxmintbor deb nomlangan ajoyib vosita mintbackup, bu bizning paketlarimizni saqlash va undan keyin ularni qayta o'rnatish uchun foydalanishimiz mumkin bo'lgan narsalar.

Bunday holda LMDE, agar biz paketni yangilasak Python-apt 0.8.0 versiyasiga biz foydalana olmaymiz mintbackup qaramlik muammosi tufayli. U quyidagi xatoni qaytaradi:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Umid qilamanki, yigitlar Mint tez orada tuzat.

Terminal orqali.

Konsol orqali biz buni 2 usulda bajarishimiz mumkin, bu oxir-oqibat bir xil bo'lgan.

2 bosqichda.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

Agar biz omborlarga kirish imkoniga ega bo'lsak va hamma narsa sozlangan va yangilangan bo'lsa, biz buni quyidagicha qo'yishimiz kerak:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

3 bosqichda.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

Qayta o'rnatgandan so'ng biz quyidagilarni bajaramiz:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

Va keyin biz yuguramiz:

apt-get -u dselect-upgrade

Menimcha, bizda omborlar to'g'ri tuzilgan bo'lishi kerakligini tushuntirish kerak emas .. Oddiymi?


Maqolaning mazmuni bizning printsiplarimizga rioya qiladi muharrirlik etikasi. Xato haqida xabar berish uchun bosing bu erda.

8 ta sharh, o'zingizni qoldiring

Fikringizni qoldiring

Sizning email manzilingiz chop qilinmaydi. Kerakli joylar bilan belgilangan *

*

*

  1. Ma'lumotlar uchun javobgardir: Migel Anxel Gaton
  2. Ma'lumotlarning maqsadi: SPAMni boshqarish, izohlarni boshqarish.
  3. Qonuniylashtirish: Sizning roziligingiz
  4. Ma'lumotlar haqida ma'lumot: qonuniy majburiyatlar bundan mustasno, ma'lumotlar uchinchi shaxslarga etkazilmaydi.
  5. Ma'lumotlarni saqlash: Occentus Networks (EU) tomonidan joylashtirilgan ma'lumotlar bazasi
  6. Huquqlar: istalgan vaqtda siz ma'lumotlaringizni cheklashingiz, tiklashingiz va o'chirishingiz mumkin.

  1.   jasurlik dijo

    Yoki siz ilgari bo'lgan va bajargan barcha dasturlarni ham yozasiz

    sudo apt-get -y o'chirilgan barcha paketlarni o'rnatish

    LMDE Linux MInt bilan bir xil maqsadga ega yoki yo'qligini bilmayman

    1.    jasurlik dijo

      * o'rnatish

  2.   Xokasito dijo

    Garchi bu biroz "mavzudan tashqarida" bo'lsa-da, men ozodlikka chiqadigan nomzodlar Linux Mint Debian 201108-da GNOME va XFCE uchun chiqqanligini ogohlantirmoqchi edim. Umid qilamanki, bir nechta yaxshilanishlar amalga oshirildi ... 🙂

    1.    elav <° Linux dijo

      Ha, ha, ushbu ajoyib yangilik nashr etilganda nima bo'ladi, biz oflayn rejimda edik .. Rahmat.

  3.   mitkolar dijo

    Men sizni endi kashf etdim va RAHMAT.
    Kecha men 64-bitli LMDE-ni o'rnatdim va yaxshi ishlayapman, lekin kashf etish uchun ikkita kichik narsam bor -

    1– Grafik rejimda root sifatida kirish

    2. - VLC-ni standart video pleer sifatida o'rnating

    O'ylaymanki, men uni afzal ko'rilgan dasturlarni boshqarish panelidan yoki boshqa dastur bilan ochish orqali / ushbu dasturdan foydalanib sukut bo'yicha olaman. Root sifatida tizimga kirilgan.

    Men sudo nautilusni hech bo'lmaganda qildim va umuman hech narsa qilmadim.

    PS1: agar paketlarning bekor qilinishi yaxshi ishlasa, 64 bitda.
    PS2: Shuningdek, men MAME SDL-ni va ppa mavjud bo'lishini istagan so'nggi wine64-ni o'rnatishim kerak, chunki keyinchalik dasturlarni sozlash ularni avtomatik ravishda yangilamaydi.
    PS3: AMD beta drayveri AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon, https://getcocoon.com/, o'rnatilishi kerak bo'lgan Firefox, Chrome-da joylashgan geolocated seriyalarini ko'rish uchun, 64-bitli Flash, Zindus, Qbittorrent, Opera, aletras.oxt kengaytmasi va topshiriqning ortiqcha RAM keshini boshqarish uchun Firefox Flash yordami. bu ham sizning sharhingizga loyiqdir.

    Men ushbu va / yoki boshqa takliflar bilan o'quv qo'llanmaning beshinchi qismini kutaman

  4.   Bilan birga ovqatlaning dijo

    Salom!
    MintBackup maqolasini ushbu havolaga yuboradigan birinchi havolani o'zgartirishimiz kerak: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Nima uchun bilmayman, u "/ wp-content / themes" katalogiga havola ...

    1.    KZKG ^ Gaara dijo

      Bajarildi, tuzatildi 😉

  5.   Naxum dijo

    Assalomu alaykum, LMDE amd64-ning oldingi versiyasidan beri menda buzilgan paketlar va omborlarni yuklashda xatolar bor edi, men ko'p echimlarni sinab ko'rdim va ularning hech biri ishlamaydi ... Endi nima qilishni bilmayman, Gnome-shell-ni o'rnatishni xohladim va bu menga ruxsat bermadi, chunki paket buzilgan. Buzilgan paketlarni quyidagi buyruqlar bilan qanday hal qilishni ko'rdim: sudo dpkg –purge –force-remove-reinstreq

    va men quyidagi xatoni olaman:

    dpkg: error: –purge parametr sifatida kamida bitta paket nomini talab qiladi

    Paketlarni o'rnatish va olib tashlash uchun yordam uchun dpkg –help yozing [*];
    Paketni yanada qulay boshqarish uchun "dselect" yoki "qobiliyat" dan foydalaning;
    Dpkg disk raskadrovka sozlamalari ro'yxati uchun dpkg -Dhelp yozing;
    Dpkg –force-help-ni yozing, majburlash uchun imkoniyatlar ro'yxati;
    .Deb fayllarini boshqarish bo'yicha yordam uchun dpkg-deb –help yozing;

    [*] Bilan belgilangan parametrlar uzoq natijaga olib keladi,
    Uni "kamroq" yoki "ko'proq" bilan filtrlang!

    agar kimdir menga bu borada yordam bera olsa 🙂